package com.gic.plug.web.controller.goods;

import com.gic.enterprise.base.EnterpriseInfo;
import com.gic.enterprise.utils.UserDetailUtils;
import com.gic.mall.base.api.exception.GicMallException;

public class BaseController {

    EnterpriseInfo getLoginEnterpriseInfo() {
        EnterpriseInfo enterpriseInfo = UserDetailUtils.getUserDetail().getEnterpriseInfo();
        if (enterpriseInfo == null) {
            throw new GicMallException("未登录");
        }
        return enterpriseInfo;
    }

    Integer getEnterpriseId() {
        return getLoginEnterpriseInfo().getEnterpriseId();
    }
}
